%global pkg_name ConfigFile

%global common_summary Configuration file reading and writing

%global common_description Parser and writer for handling sectioned config files in \
Haskell. \
 \
The ConfigFile module works with configuration files in a \
standard format that is easy for the user to edit, easy for \
the programmer to work with, yet remains powerful and \
flexible. It is inspired by, and compatible with, Python's \
ConfigParser module. It uses files that resemble Windows \
.INI-style files, but with numerous improvements. \
 \
ConfigFile provides simple calls to both read and write \
config files. It's possible to make a config file parsable by \
this module, the Unix shell, and make.

%global ghc_pkg_deps ghc-MissingH-devel, ghc-mtl-devel, ghc-parsec-devel

Name:           ghc-%{pkg_name}
Version:        1.0.6
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.3
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/
install -m 644 -p COPY* %{buildroot}%{_docdir}/%{name}-%{version}/
install -m 644 -p README %{buildroot}%{_docdir}/%{name}-%{version}/README


%{ghc_lib_package}


%changelog
* Wed Mar 16 2011 Jens Petersen <petersen@redhat.com> - 1.0.6-4
- update to cabal2spec-0.22.5

* Sat Jan 29 2011 Jens Petersen <petersen@redhat.com> - 1.0.6-3
- update to cabal2spec-0.22.4

* Wed Sep 15 2010 Jens Petersen <petersen@redhat.com> - 1.0.6-2
- include the COPYRIGHT file too

* Sun Sep 05 2010 Ben Boeckel <mathstuf@gmail.com> - 1.0.6-1
- Initial package

* Sun Sep  5 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.0.6-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
